/*Product Slider Start*/

.product-slider__slider-wrap {
    padding-inline: 3rem;
    position: relative;
}

.product-slider__slider {
    padding-block: 2rem;
    position: static;
}

.product-slider__slide {
    height: auto;
}

.product-slider__header--center {
    text-align: center;
}

.product-slider__header--right {
    text-align: right;
}


.product-slider__pagination > .swiper-pagination-bullet{
    --swiper-pagination-bullet-height: 4px;
    --swiper-pagination-bullet-width: 16px;
    border-radius: 0;
}

.product-slider .product {
    height: 100%;
    flex-grow: 1;
}

.product-slider .product-slider__slide {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.product-slider{
	padding: var(--side-padding);
	padding-block: 100px;
}

.product-slider.product-slider--transparent{
	background-color: transparent;
}

.product-slider__header{
	color: var(--dark-blue);
}

.product-slider__button--prev.swiper-button-prev{
	left: -35px;
}

.product-slider__button--prev.swiper-button-prev::after{
	content: "";
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 640 640'%3E%3Cpath fill='%231f1f1f' d='M169.4 297.4C156.9 309.9 156.9 330.2 169.4 342.7L361.4 534.7C373.9 547.2 394.2 547.2 406.7 534.7C419.2 522.2 419.2 501.9 406.7 489.4L237.3 320L406.6 150.6C419.1 138.1 419.1 117.8 406.6 105.3C394.1 92.8 373.8 92.8 361.3 105.3L169.3 297.3z'/%3E%3C/svg%3E");
	height: 28px;
	width: 40px;
	background-repeat: no-repeat;
	background-color: white;
	border-radius: 999px;
}

.product-slider__button--next.swiper-button-next{
	right: -35px;
}

.product-slider__button--next.swiper-button-next::after{
	content: "";
	height: 28px;
	width: 40px;
	background-repeat: no-repeat;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 640 640'%3E%3Cpath fill='%231f1f1f' d='M471.1 297.4C483.6 309.9 483.6 330.2 471.1 342.7L279.1 534.7C266.6 547.2 246.3 547.2 233.8 534.7C221.3 522.2 221.3 501.9 233.8 489.4L403.2 320L233.9 150.6C221.4 138.1 221.4 117.8 233.9 105.3C246.4 92.8 266.7 92.8 279.2 105.3L471.2 297.3z'/%3E%3C/svg%3E");
	background-color: white;
	border-radius: 999px;
}

.product-slider__pagination.swiper-pagination-bullets{
	bottom: -20px;
}

.product-slider__pagination span.swiper-pagination-bullet{
	background-color: var(--charcoal);
	width: 30px;
	border-radius: 10px;
	height: 5px;
}

.product-slider--transparent .product-slider__pagination span.swiper-pagination-bullet:not(.swiper-pagination-bullet-active){
	background-color: white;
	opacity: .6;
}

.product-slider__pagination span.swiper-pagination-bullet-active{
	background-color: var(--action-green);
}

.product-slider li.product > .button + .afrfqbt:not(:hover)::after{
	background-repeat: no-repeat;
	background-position: center;
}

.product-slider li.product > .button:has(+ .afrfqbt:hover)::after{
	background-repeat: no-repeat;
	background-position: center;
}

.product-slider .loop-product__thumbnail-wrap{
	background-color: var(--off-white);
	border-radius: 20px;
	width: 100%;
	margin-bottom: 10px;
}

.product-slider .loop-product__thumbnail-wrap img{
	margin: 0 auto;
}

.product-slider h2.woocommerce-loop-product__title{
	font-size: var(--body-size);
	font-family: var(--body-font);
	line-height: var(--body-height);
	text-transform: capitalize;
	font-weight: var(--header-weight);
	color: black;
}


.product-slider .price{
	color: black;
	display: flex;
}


.product-slider .product{
	background-color: white;
}

.product-slider li.product > a.button{
	padding-block: 0;
}

.product-slider li.product > a.button span{
	text-transform: capitalize;
	position: relative;
	height: 100%;
	display: inline-flex;
	width: fit-content;
	margin: 0 auto;
	transition: transform 0.25s ease;
	align-items: center;
	transform: translate3d(0, 0, 0);
}

.product-slider li.product > .button:not(.afrfqbt) span{
	height: 100%;
}

.product-slider li.product > a.button.afrfqbt span{
	transition: 0s;
}

.product-slider li.product > .button:not(.afrfqbt) span::before{
	content: "";
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 640 640'%3E%3Cpath fill='rgb(255, 255, 255)' d='M566.6 342.6C579.1 330.1 579.1 309.8 566.6 297.3L406.6 137.3C394.1 124.8 373.8 124.8 361.3 137.3C348.8 149.8 348.8 170.1 361.3 182.6L466.7 288L96 288C78.3 288 64 302.3 64 320C64 337.7 78.3 352 96 352L466.7 352L361.3 457.4C348.8 469.9 348.8 490.2 361.3 502.7C373.8 515.2 394.1 515.2 406.6 502.7L566.6 342.7z'/%3E%3C/svg%3E");
	right: 40%;
	top: 13px;
	width: 1em;
	height: 100%;
	background-repeat: no-repeat;
	opacity: 0;
	position: absolute;
	transition: 0.25s ease;
}

.product-slider li.product > a.button.afrfqbt span::before{
	content: "";
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 640 640'%3E%3Cpath fill='rgb(0, 0, 0)' d='M566.6 342.6C579.1 330.1 579.1 309.8 566.6 297.3L406.6 137.3C394.1 124.8 373.8 124.8 361.3 137.3C348.8 149.8 348.8 170.1 361.3 182.6L466.7 288L96 288C78.3 288 64 302.3 64 320C64 337.7 78.3 352 96 352L466.7 352L361.3 457.4C348.8 469.9 348.8 490.2 361.3 502.7C373.8 515.2 394.1 515.2 406.6 502.7L566.6 342.7z'/%3E%3C/svg%3E");
	right: -20%;
	top: 13px;
	width: 1em;
	height: 100%;
	background-repeat: no-repeat;
	opacity: 0;
	position: absolute;
}

.product-slider li.product:not(:has(.button:not(.afrfqbt))) .afrfqbt span{
	transition: 0.25s;
}

.product-slider li.product:not(:has(.button:not(.afrfqbt))) .afrfqbt span::before{
	transition: 0.25s ease;
	right: 40%;
}

.product-slider li.product:not(:has(.button:not(.afrfqbt))) .afrfqbt:hover span::before{
	right: -25%;
}

.product-slider li.product > a.button.afrfqbt:hover span::before{
	opacity: 1;
}

.product-slider li.product > .button:not(.afrfqbt):hover{
	background-color: var(--action-green);
}

.product-slider li.product > .button:hover span{
	transform: translatex(-10px);
}

.product-slider li.product > .button:hover span::before{
	right: -25%;
	opacity: 1;
}

div.product-slider__slider-wrap{
	padding: 0;
}

.product-slider li.product{
		max-width: unset;
	}

@media(width > 1920px){
	.product-slider{
		padding-inline: 0;
	}
	
	.product-slider > *{
		max-width: 1650px;
		margin-inline: auto;
	}
}

@media(max-width: 768px){
	.product-slider li.product:has(.afrfqbt) a.button{
		width: 48%;
		flex: unset;
		align-items: center;
		display: flex;
		justify-content: center;
		margin-inline: auto;
	}

	.product-slider li.product:not(:has(.button:not(.afrfqbt))) .afrfqbt{
		width: 100%;
	}

	.product-slider li.product:not(:has(.button:not(.afrfqbt))) .afrfqbt span::before{
		right: -20px;
	}

	.product-slider li.product:has(.afrfqbt) a.button span::before{
		right: -20px;
		opacity: 1;
	}
	
	div.swiper-slide.product-slider__slide > li > a.button.product_type_variable.add_to_cart_button > span::before{
		opacity: 1;
		right: -20px;
	}
	
	.product-slider a.button.product_type_simple.add_to_cart_button.ajax_add_to_cart span{
		font-size: var(--body-size);
	}
	
	.product-slider li.product > a.button span{
		font-size: var(--body-size);
		line-height: var(--body-height);
		align-items: center;
		transform: translatex(-10px);
	}

	
	.product-slider li.product > .button:has(+ .afrfqbt:hover)::after, li.product > .button + .afrfqbt:not(:hover)::after{
		display: none;
	}
	
	.product-slider .swiper-button-next, .product-slider .swiper-button-prev{
		display: none;
	}
}

@media(480px < width < 600px){
	.product-slider li.product:has(.afrfqbt) a.button{
		width: 100%;
	}
}
/*Product Slider End*/